Subject: [PATCH V2 0/2] PCI: generic: Assiging msi-controller to PCI hostbridge

From: [email-masked] (Yijing Wang)
Date: Fri, 14 Nov 2014 09:19:53 +0800

On 2014/11/14 2:09, Bjorn Helgaas wrote:
> [+cc Yijing]

Hi, I'm doing the same thing to associate MSI_controller and PCI host bridge(not PCI bus),
In my working series, I go one step further, rip out pci host bridge of pci root bus creation.
And we could put the common things in the generic pci host bridge. I will post it out these
days. :)

Thanks!
Yijing.

> 
> On Tue, Nov 11, 2014 at 01:17:32PM -0600, suravee.suthikulpanit at amd.com wrote:
>> From: Suravee Suthikulpanit <[email-masked]>
>>
>> This patch set introduces a new callback function to allow PCI host drivers
>> to specify MSI controller to be used for the child buses / devices.
> 
> Hi Suravee, 
> 
> As Srikanth mentioned, there's a series of MSI-related stuff from Yijing.
> I recently put them on my pci/msi branch, and they overlap a bit with
> what you're doing here.
> 
> So I'll drop these for now.  Maybe there's a way you can accomplish what
> you need by implementing pcibios_msi_controller(), which Yijing added?
> 
> Also note that "msi-controller" is already being used in device tree (see
> Documentation/devicetree/bindings/interrupt-controller/marvell), so maybe
> you can do the name.
> 
> Bjorn
> 
>> This is reabased from:
>>     git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci.git pci/host-generic
>>
>> Changes from V1:
>>     - Adding "msi-parent" device tree binding in documentation.
>>     - Rebase the patch to get rid of artifacts from other precursor patch
>>       accidently applied to the developement tree. This should now apply cleanly
>>       to the pci/host-generic branch.
>>
>> Suravee Suthikulpanit (2):
>>   PCI: Add new pci_ops for setting MSI parent for PCI bus
>>   PCI: generic: Add set_msi_parent callback
>>
>>  Documentation/devicetree/bindings/pci/host-generic-pci.txt |  3 +++
>>  drivers/pci/host/pci-host-generic.c                        | 13 +++++++++++++
>>  drivers/pci/probe.c                                        |  3 +++
>>  include/linux/pci.h                                        |  1 +
>>  4 files changed, 20 insertions(+)
>>
>> -- 
>> 1.9.3
>>
> 
> .
> 

-- 
Thanks!
Yijing